public inbox for fstests@vger.kernel.org
 help / color / mirror / Atom feed
* [patch] xfs/259 - inherit $_fs_has_crcs
@ 2015-12-04 15:41 Jeff Moyer
  2015-12-04 15:47 ` Jeff Moyer
  0 siblings, 1 reply; 5+ messages in thread
From: Jeff Moyer @ 2015-12-04 15:41 UTC (permalink / raw)
  To: fstests

Hi,

When running xfs/259 against a file system that has crcs disabled, the
test will fail.  The problem is that mkfs.xfs now defaults to enabling
crcs.  So, when the test checks the underlying file system and finds
crcs are disabled, it tries to create a file system with a block size
that is too small to support them.  The solution is to explicitly
specify the crc feature.

Signed-off-by: Jeff Moyer <jmoyer@redhat.com>

diff --git a/tests/xfs/259 b/tests/xfs/259
index 16c1935..e0022ce 100755
--- a/tests/xfs/259
+++ b/tests/xfs/259
@@ -72,7 +72,7 @@ for del in $sizes_to_check; do
 	lofile=$(losetup -f)
 	losetup $lofile "$testfile"
 	"$MKFS_XFS_PROG" -l size=32m -b size=$blocksize $lofile \
-					>/dev/null || echo "mkfs failed!"
+			 -m crc=$_fs_has_crcs>/dev/null || echo "mkfs failed!"
 	sync
 	losetup -d $lofile
 done

^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2015-12-05  8:17 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-12-04 15:41 [patch] xfs/259 - inherit $_fs_has_crcs Jeff Moyer
2015-12-04 15:47 ` Jeff Moyer
2015-12-04 20:45   ` Brian Foster
2015-12-04 20:56     ` Jeff Moyer
2015-12-05  8:09       ` Eryu Guan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox